OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.IndirectParameters

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBIndirectParameters :: MonadIO m => m Bool
- gl_ARB_indirect_parameters :: Bool
- gl_PARAMETER_BUFFER_ARB :: GLenum
- gl_PARAMETER_BUFFER_BINDING_ARB :: GLenum
- glMultiDrawArraysIndirectCountARB :: MonadIO m => GLenum -> GLintptr -> GLintptr -> GLsizei -> GLsizei -> m ()
- glMultiDrawElementsIndirectCountARB :: MonadIO m => GLenum -> GLenum -> GLintptr -> GLintptr -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetARBIndirectParameters :: MonadIO m => m Bool

Is the ARB_indirect_parameters extension supported?

gl_ARB_indirect_parameters :: Bool

Is the ARB_indirect_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBIndirectParameters` in those cases instead.

# Enums

gl_PARAMETER_BUFFER_ARB :: GLenum

gl_PARAMETER_BUFFER_BINDING_ARB :: GLenum

# Functions

glMultiDrawArraysIndirectCountARB

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> GLintptr | `indirect`.
-> GLintptr | `drawcount`.
-> GLsizei | `maxdrawcount`.
-> GLsizei | `stride`.
-> m () |

glMultiDrawElementsIndirectCountARB

Arguments

:: MonadIO m |
=> GLenum | `mode`.
-> GLenum | `type`.
-> GLintptr | `indirect`.
-> GLintptr | `drawcount`.
-> GLsizei | `maxdrawcount`.
-> GLsizei | `stride`.
-> m () |